Subject: bug#75708: closed (Re: [bug#75708] [PATCH v2 00/14] Update PyTorch to 2.5.1)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 27 Jan 2025 13:48:03 +0000

Your bug report

#75708: [PATCH 00/11] Update PyTorch to 2.5.1

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75708: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75708
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#75708] [PATCH v2 00/14] Update PyTorch to 2.5.1
From: Ludovic Courtès <[email-masked]>
To: David Elsing <[email-masked]>
Cc: [email-masked]
Date: Mon, 27 Jan 2025 14:46:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi David,

David Elsing <[email-masked]> skribis:

> In the first version, I forgot to update fbgemm, python-torchvision and
> python-pytorch-geometric.
>
> David Elsing (14):
>   gnu: asmjit: Update to commit cfc9f81.
>   gnu: cpuinfo: Update to commit ca156f7.
>   gnu: cpp-httplib: Update to 0.18.5.
>   gnu: flatbuffers-next: Update to 24.12.23.
>   gnu: onnx: Update to 1.17.0.
>   gnu: Add pybind11-2.13.
>   gnu: python-optree: Update to 0.14.0.
>   gnu: python-sympy: Update to 1.13.3.
>   gnu: oneapi-dnnl: Regenerate autogenerated files.
>   gnu: fbgemm: Update to 1.0.0.
>   gnu: python-pytorch: Update to 2.5.1.
>   gnu: python-pytorch-for-r-torch: Fix build.
>   gnu: python-torchvision: Update to 0.20.1.
>   gnu: python-pytorch-geometric: Update to 2.6.1.

Pushed v2 of this series as 145dfde05ff568caa09bd3a4110b98c11efb87bd.

Thanks for all the work!

Ludo’.

Subject: [PATCH 00/11] Update PyTorch to 2.5.1
From: David Elsing <[email-masked]>
To: [email-masked]
Cc: David Elsing <[email-masked]>
Date: Mon, 20 Jan 2025 21:57:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

this patch series updates python-pytorch to version 2.5.1.
PyTorch 2.5 is not compatible with oneapi-dnnl version 3.6,
so I did not update the latter yet.

The latest release of r-torch did not change and still depends on PyTorch
version 2.0.1, for which I fixed the build again.

Cheers,
David

David Elsing (11):
  gnu: asmjit: Update to commit cfc9f81.
  gnu: cpuinfo: Update to commit ca156f7.
  gnu: cpp-httplib: Update to 0.18.5.
  gnu: flatbuffers-next: Update to 24.12.23.
  gnu: onnx: Update to 1.17.0.
  gnu: Add pybind11-2.13.
  gnu: python-optree: Update to 0.14.0.
  gnu: python-sympy: Update to 1.13.3.
  gnu: oneapi-dnnl: Regenerate autogenerated files.
  gnu: python-pytorch: Update to 2.5.1.
  gnu: python-pytorch-for-r-torch: Fix build.

 gnu/local.mk                                  |   3 +-
 gnu/packages/cpp.scm                          |  14 +-
 gnu/packages/machine-learning.scm             |  83 ++++++++++--
 gnu/packages/parallel.scm                     |   8 +-
 .../patches/python-optree-fix-32-bit.patch    | 122 ------------------
 .../patches/python-pytorch-fix-codegen.patch  |  42 +++---
 .../python-pytorch-system-libraries.patch     | 100 +++++++-------
 gnu/packages/python-xyz.scm                   |  56 +++++---
 gnu/packages/serialization.scm                |   6 +-
 9 files changed, 198 insertions(+), 236 deletions(-)
 delete mode 100644 gnu/packages/patches/python-optree-fix-32-bit.patch

-- 
2.46.0